#import "../Fragments/System.graphql"

query EntryByUrlBatch1($locale: String!, $url: String!) {
  all_account_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_collection_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_content_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_current_blocks_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_loyalty_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_hotel_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
}

query EntryByUrlBatch2($locale: String!, $url: String!) {
  all_destination_overview_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_destination_country_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_destination_city_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_start_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_campaign_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
}
